package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        Object[] o;
        if (permissions.length > 0)
            o = new Object[] {permissions[0], grantResults[0] == 0};
        else
            o = new Object[] {"", false};
        processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.sql.SQL _v5 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _v6 = null;
public static int _v7 = 0;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scrollview1 = null;
public b4a.example.starter _vv4 = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
String _matn = "";
int _a = 0;
int _b = 0;
int _c = 0;
int _i = 0;
 //BA.debugLineNum = 25;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 26;BA.debugLine="Activity.LoadLayout(\"Layout1\")";
mostCurrent._activity.LoadLayout("Layout1",mostCurrent.activityBA);
 //BA.debugLineNum = 27;BA.debugLine="File.Copy(File.DirAssets,\"data.db\",File.DirIntern";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"data.db",anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"data.db");
 //BA.debugLineNum = 28;BA.debugLine="sql1.Initialize(File.DirInternal,\"data.db\",False)";
_v5.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirInternal(),"data.db",anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 29;BA.debugLine="Dim matn As String=GetStringFromDb(\"table1\",\"text";
_matn = _v0("table1","text",(int) (0))+anywheresoftware.b4a.keywords.Common.CRLF+"<EndOfText>";
 //BA.debugLineNum = 31;BA.debugLine="Dim a,b,c As Int";
_a = 0;
_b = 0;
_c = 0;
 //BA.debugLineNum = 32;BA.debugLine="For i=0 To matn.Length-1";
{
final int step6 = 1;
final int limit6 = (int) (_matn.length()-1);
for (_i = (int) (0) ; (step6 > 0 && _i <= limit6) || (step6 < 0 && _i >= limit6); _i = ((int)(0 + _i + step6)) ) {
 //BA.debugLineNum = 33;BA.debugLine="If matn.CharAt(i)=\"<\" Then";
if (_matn.charAt(_i)==BA.ObjectToChar("<")) { 
 //BA.debugLineNum = 34;BA.debugLine="b=i";
_b = _i;
 //BA.debugLineNum = 35;BA.debugLine="AddTextToScrollview(matn.SubString2(a,b),scrollv";
_vv1(_matn.substring(_a,_b),mostCurrent._scrollview1);
 };
 //BA.debugLineNum = 37;BA.debugLine="If matn.CharAt(i)=\">\" Then";
if (_matn.charAt(_i)==BA.ObjectToChar(">")) { 
 //BA.debugLineNum = 38;BA.debugLine="c=i";
_c = _i;
 //BA.debugLineNum = 39;BA.debugLine="a=c+1";
_a = (int) (_c+1);
 //BA.debugLineNum = 40;BA.debugLine="AddImageToScrollview(matn.SubString2(b+1,c),scro";
_vv2(_matn.substring((int) (_b+1),_c),mostCurrent._scrollview1);
 };
 }
};
 //BA.debugLineNum = 43;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 91;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 93;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 44;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 46;BA.debugLine="End Sub";
return "";
}
public static String  _vv2(String _imagename,anywheresoftware.b4a.objects.ScrollViewWrapper _scrollview) throws Exception{
anywheresoftware.b4a.objects.ImageViewWrapper _img = null;
anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper _bmp = null;
 //BA.debugLineNum = 63;BA.debugLine="Sub AddImageToScrollview(ImageName As String,scrol";
 //BA.debugLineNum = 64;BA.debugLine="Try";
try { //BA.debugLineNum = 65;BA.debugLine="Dim img As ImageView,bmp As Bitmap";
_img = new anywheresoftware.b4a.objects.ImageViewWrapper();
_bmp = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper();
 //BA.debugLineNum = 66;BA.debugLine="bmp.Initialize(File.DirAssets,ImageName)";
_bmp.Initialize(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),_imagename);
 //BA.debugLineNum = 67;BA.debugLine="img.Initialize(\"\")";
_img.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 68;BA.debugLine="img.Bitmap=bmp";
_img.setBitmap((android.graphics.Bitmap)(_bmp.getObject()));
 //BA.debugLineNum = 69;BA.debugLine="img.Gravity=Gravity.FILL";
_img.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.FILL);
 //BA.debugLineNum = 70;BA.debugLine="scrollview1.Panel.AddView(img,0,0,100%X,bmp.Heigh";
mostCurrent._scrollview1.getPanel().AddView((android.view.View)(_img.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),_bmp.getHeight());
 //BA.debugLineNum = 71;BA.debugLine="img.Top=Height";
_img.setTop(_v7);
 //BA.debugLineNum = 72;BA.debugLine="Height=Height+img.Height";
_v7 = (int) (_v7+_img.getHeight());
 } 
       catch (Exception e11) {
			processBA.setLastException(e11); //BA.debugLineNum = 74;BA.debugLine="Log(LastException)";
anywheresoftware.b4a.keywords.Common.Log(BA.ObjectToString(anywheresoftware.b4a.keywords.Common.LastException(mostCurrent.activityBA)));
 };
 //BA.debugLineNum = 76;BA.debugLine="End Sub";
return "";
}
public static String  _vv1(String _text,anywheresoftware.b4a.objects.ScrollViewWrapper _scrollview) throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _lable1 = null;
 //BA.debugLineNum = 52;BA.debugLine="Sub AddTextToScrollview(Text As String,scrollview";
 //BA.debugLineNum = 53;BA.debugLine="Dim lable1 As Label";
_lable1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 54;BA.debugLine="lable1.Initialize(\"\")";
_lable1.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 55;BA.debugLine="lable1.TextColor=Colors.Black";
_lable1.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 56;BA.debugLine="lable1.Text=Text";
_lable1.setText((Object)(_text));
 //BA.debugLineNum = 57;BA.debugLine="scrollview1.Panel.AddView(lable1,0,0,100%x,64dip)";
mostCurrent._scrollview1.getPanel().AddView((android.view.View)(_lable1.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (64)));
 //BA.debugLineNum = 58;BA.debugLine="lable1.Height=GetTextHeight(lable1.Text,lable1)";
_lable1.setHeight((int) (_vv3(_lable1.getText(),_lable1)));
 //BA.debugLineNum = 59;BA.debugLine="lable1.Top=Height";
_lable1.setTop(_v7);
 //BA.debugLineNum = 60;BA.debugLine="Height=Height+lable1.Height";
_v7 = (int) (_v7+_lable1.getHeight());
 //BA.debugLineNum = 61;BA.debugLine="scrollview1.Panel.Height=Height";
mostCurrent._scrollview1.getPanel().setHeight(_v7);
 //BA.debugLineNum = 62;BA.debugLine="End Sub";
return "";
}
public static String  _v0(String _tablename,String _columnname,int _cursorposition) throws Exception{
 //BA.debugLineNum = 47;BA.debugLine="Sub GetStringFromDb(TableName As String,ColumnName";
 //BA.debugLineNum = 48;BA.debugLine="cur1=sql1.ExecQuery(\"select * from \"&TableName)";
_v6.setObject((android.database.Cursor)(_v5.ExecQuery("select * from "+_tablename)));
 //BA.debugLineNum = 49;BA.debugLine="cur1.Position=CursorPosition";
_v6.setPosition(_cursorposition);
 //BA.debugLineNum = 50;BA.debugLine="Return cur1.GetString(ColumnName)";
if (true) return _v6.GetString(_columnname);
 //BA.debugLineNum = 51;BA.debugLine="End Sub";
return "";
}
public static float  _vv3(String _text0,anywheresoftware.b4a.objects.LabelWrapper _label1) throws Exception{
float _before = 0f;
float _after = 0f;
anywheresoftware.b4a.objects.StringUtils _strutil = null;
anywheresoftware.b4a.agraham.reflection.Reflection _ref = null;
float _height1 = 0f;
 //BA.debugLineNum = 77;BA.debugLine="Sub GetTextHeight(text0 As String,label1 As Label)";
 //BA.debugLineNum = 78;BA.debugLine="Dim before,after As Float,StrUtil As StringUtils,r";
_before = 0f;
_after = 0f;
_strutil = new anywheresoftware.b4a.objects.StringUtils();
_ref = new anywheresoftware.b4a.agraham.reflection.Reflection();
_height1 = 0f;
 //BA.debugLineNum = 79;BA.debugLine="label1.text=text0";
_label1.setText((Object)(_text0));
 //BA.debugLineNum = 80;BA.debugLine="Height1 = StrUtil.MeasureMultilineTextHeight(label";
_height1 = (float) (_strutil.MeasureMultilineTextHeight((android.widget.TextView)(_label1.getObject()),_text0));
 //BA.debugLineNum = 81;BA.debugLine="ref.Target = label1";
_ref.Target = (Object)(_label1.getObject());
 //BA.debugLineNum = 82;BA.debugLine="before = ref.RunMethod(\"getLineHeight\")";
_before = (float)(BA.ObjectToNumber(_ref.RunMethod("getLineHeight")));
 //BA.debugLineNum = 83;BA.debugLine="ref.Target = label1";
_ref.Target = (Object)(_label1.getObject());
 //BA.debugLineNum = 84;BA.debugLine="ref.RunMethod3(\"setLineSpacing\",10, \"java.lang.flo";
_ref.RunMethod3("setLineSpacing",BA.NumberToString(10),"java.lang.float",BA.NumberToString(1.5),"java.lang.float");
 //BA.debugLineNum = 85;BA.debugLine="ref.Target = label1";
_ref.Target = (Object)(_label1.getObject());
 //BA.debugLineNum = 86;BA.debugLine="after = ref.RunMethod(\"getLineHeight\")";
_after = (float)(BA.ObjectToNumber(_ref.RunMethod("getLineHeight")));
 //BA.debugLineNum = 87;BA.debugLine="Height1 = ((after * Height1)/before)";
_height1 = (float) (((_after*_height1)/(double)_before));
 //BA.debugLineNum = 88;BA.debugLine="label1.Height = Height1";
_label1.setHeight((int) (_height1));
 //BA.debugLineNum = 89;BA.debugLine="Return  Height1";
if (true) return _height1;
 //BA.debugLineNum = 90;BA.debugLine="End Sub";
return 0f;
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 20;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 21;BA.debugLine="Dim scrollview1 As ScrollView";
mostCurrent._scrollview1 = new anywheresoftware.b4a.objects.ScrollViewWrapper();
 //BA.debugLineNum = 23;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
starter._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="Dim sql1 As SQL,cur1 As Cursor";
_v5 = new anywheresoftware.b4a.sql.SQL();
_v6 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 17;BA.debugLine="Dim Height As Int";
_v7 = 0;
 //BA.debugLineNum = 18;BA.debugLine="End Sub";
return "";
}
}
